IMPORT-ITOL(1)

NAME
import-itol.pl - Upload trees and associate metadata files to iTOL

VERSION
version 0.212670

USAGE
    import-itol.pl <infiles> --api-key=<string> --project=<string>
        [optional arguments]

REQUIRED ARGUMENTS
This script is based on "iTOL_uploader.pl".

<infiles>
    Path to input TRE files [repeatable argument].

--api-key=<string>
    Your API key, which can be generated through your user account options menu (while logged in, click your name in the top right corner of any page to access the option) [default: none].

--project=<string>
    Your project name from your user account [default: none].

OPTIONS

--description=<string>
    Any description for your tree(s) [default: no].

--tree-id-out=<file>
    Path to local outfile collecting the unique tree ids generated by iTOL for all infiles [default: none]. Its tabular output can then be forwarded to the script export-itol.pl to export formatted trees from iTOL.

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

CONTRIBUTOR
Valerian LUPO <valerian.lupo@doct.uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.